{% extends "base.html" %}

{% block content %}
    <div id="content">
    <a href="{% url 'index' %}">На главную</a>
    <hr>
    <div id="dialog">
        {% for message in messages %}
            {% if user == message.sender %}
            <div class="sent-message">
            {% else %}
                <div class="received-message">
            {% endif %}
                {{ message.sender.username }}: {{ message.content }}
            </div>

        {% endfor %}
    </div>
    <hr>
    <form id="send-form" class="input-group">
        <input type="text" id="input-message" autocomplete="off" class="form-control"raкак ча>
        <span class="input-group-btn">
            <button type="button" id="send-message-button" class="btn btn-primary">Отправить</button>
        </span>
    </form>
</div>

    <script>
        var socket = new WebSocket('ws://' + window.location.host + '/ws/chat/' + '{{ chat.title }}/');

         socket.onopen = function open() {
            console.log('WebSockets connection created.');
         };

        socket.onmessage = function(event){
            showNewMessages();
        }

        socket.onclose = function (event) {
            console.log(event)
        }

        var input = document.getElementById("input-message");
        input.onkeypress = function(event) {
            if (event.keyCode === 13) {
                event.preventDefault();
                document.getElementById("send-message-button").click();
            }}


        var showNewMessages = function(){
            $.ajax({
                type:'GET',
                url: "{% url 'messages-json' chat=chat.id %}",
                success: function (data) {
                    console.log(data)
                    var messages = data['object_list'];
                    var dialog = $('#dialog');
                    dialog.empty();
                    $.each(messages, function (index) {
                        var message_view = messages[index]['sender']['username']+': '+messages[index]['content']
                        if("{{ user }}" === messages[index]['sender']['username'])
                        {
                            var div = $('<div>')
                                .addClass('sent-message')
                                .text(message_view);
                            div.appendTo(dialog);
                        }
                        else
                        {
                            var div = $('<div>')
                                .addClass('received-message')
                                .text(message_view);
                            div.appendTo(dialog);
                        }
                    });
                },
                error:function (data) {
                    console.log(data)
                }
        });};

        $('#send-message-button').click(function (e) {
            var message = document.querySelector('#input-message').value;
            socket.send(JSON.stringify({
                'message':message,
                'user':'{{ user.id }}',
                'conversation': '{{ chat.id }}'
            }));
            showNewMessages(message);
        });


        </script>
{% endblock content %}